Name:           kdsoap
Version:        1.9.1
Release:        %mkrel 1
Summary:        A Qt-based client-side and server-side SOAP component
Group:          System/Libraries
License:        GPLv3 and AGPLv3
URL:            https://github.com/KDAB/KDSoap
Source0:        https://github.com/KDAB/KDSoap/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
Patch0:         kdsoap-1.9.0-mkspecs_features-dir.patch
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:	kf5-macros
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KD Soap is a Qt-based client-side and server-side SOAP component.

It can be used to create client applications for web services and also provides
the means to create web services without the need for any further component
such as a dedicated web server.

KD Soap targets C++ programmers who use Qt in their applications.

For more information, see http://www.kdab.com/kdab-products/kd-soap

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%apply_patches

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_libdir}/libkdsoap-server.so.1*
%{_libdir}/libkdsoap.so.1*

%files devel
%{_bindir}/kdwsdl2cpp
%{_includedir}
%{_libdir}/cmake/KDSoap
%{_libdir}/libkdsoap-server.so
%{_libdir}/libkdsoap.so
%{_libdir}/qt5/mkspecs/features/kdsoap.prf
%{_datadir}/doc/KDSoap


%changelog
* Thu Oct 22 2020 tex - 1.9.1-1pclos2020
- new version

* Fri Apr 24 2020 tex - 1.9.0-1pclos2020
- new version

* Thu Dec 12 2019 tex - 1.8.0-1pclos2019
- build for legs11
